public class genTest
{
  public static void main(String arg[])
  {
  Gene x1=new Gene(0,0,100);
  Gene x2=new Gene(100,0,100);
  Gene x3=new Gene(0,100);
  x3.setGen(x1,x2);
  Gene x4=new Gene(0,100);
  x4.cross1(0.2,x1,x2);
  System.out.println("x1="+x1.x+"x2="+x2.x+"x3="+x3.x+"x4="+x4.x);
  }
}